package leila.algorithm;
import java.io.Serializable;
import java.io.Writer;

/**
This class is part of LEILA (http://mpii.de/yago-naga/leila).
It is licensed under the Creative Commons Attribution License 
(http://creativecommons.org/licenses/by/3.0) 
by the author Fabian M. Suchanek (http://suchanek.name).

OutputPairs.java represents a set of output pairs.
This implementation writes them to a file.
*/

public class OutputPairs implements Serializable {
  private Writer out;
  /** Constructs a new set of Pairs, to be written to the writer */
  public OutputPairs(Writer o) {
    out=o;
  }
  /** Adds a new pair (writes it to the writer) */
  public void add(Pair p) throws Exception {
    out.write(p.toString());
    out.write("\n");
    out.flush();
  }
  /** Closes the writer */
  protected  void  finalize()throws Exception {
    out.close();
  }
}