package leila.evaluate;

import leila.algorithm.Pair;
import leila.patterns.LinkageWord;

/**
This class is part of LEILA (http://mpii.de/yago-naga/leila).
It is licensed under the Creative Commons Attribution License 
(http://creativecommons.org/licenses/by/3.0) 
by the author Fabian M. Suchanek (http://suchanek.name).

<P>

EvaluatePair stores an output pair, has some extra fields for Evaluate.java.
 */
public class EvaluatePair extends Pair {
  /** Tells whether this pair has been hit */
  public boolean hit=false;
  /** Tells whether this pair is an example*/
  public boolean example=false;
  /** Holds the bridge number of this pair */
  public int bridgeId=-1;

  /** Constructs an EvaluatePair from a first component, a second component,
   * a confidence and a comment */
  public EvaluatePair(String f, String s, double c, String fi) {
    super(f, s, c, fi);
  }

  /** Constructs an EvaluatePair from a first component, a second component,
   * a confidence and a comment */
  public EvaluatePair(LinkageWord w1, LinkageWord w2, double c, String com) {
    super(w1, w2, c, com);
  }

  /** Constructs an EvaluatePair from a first component, a second component,
   * and a confidence */
  public EvaluatePair(LinkageWord w1, LinkageWord w2, double c) {
    super(w1, w2, c);
  }

  /** Constructs an EvaluatePair from a first component and a second component.*/
  public EvaluatePair(String w1, String w2) {
    super(w1, w2);
  }

}