package leila.relations;

import leila.patterns.LinkageWord;
import leila.relations.Relation.WordPairType;

/**
This class is part of LEILA (http://mpii.de/yago-naga/leila).
It is licensed under the Creative Commons Attribution License 
(http://creativecommons.org/licenses/by/3.0) 
by the author Fabian M. Suchanek (http://suchanek.name).

<P>

StupidRelation.java is a toy relation of just two words for debugging purposes.
 */
public class StupidRelation extends Relation {
  /** returns false */
  public boolean requiresCounterexamples() {
     return(false);
  }
  /** Holds the first word */
  public String first="Bratislava";
  /** Holds the second word */
  public String second="Pozsony";
  /** Judges a pair of words */
  public WordPairType assess(LinkageWord w1, LinkageWord w2) {
    if(w1.word.equalsIgnoreCase(first) && w2.word.equalsIgnoreCase(second)) return(WordPairType.EXAMPLE);
    else return(WordPairType.CANDIDATE);
  }
  /** Tells whether the word equals the first word*/
  public boolean possibleExample(LinkageWord w) {
    return(w.word.equalsIgnoreCase(first));
  }
}